<div id="radarchartPlaceholder">
  <mat-card>
    <mat-card-title>Behavior Correlation Chart <span [innerHTML]=levelTitle></span></mat-card-title>
    <mat-divider></mat-divider>
    <button mat-icon-button aria-label="Info" matTooltip="{{info}}" class="chart-info-button">
      <mat-icon>help</mat-icon>
    </button>
    <!-- Contains the chart -->
    <mat-card-content>
      <mat-grid-list cols="12" [rowHeight]="cardHeight + 'px'">
        <mat-grid-tile colspan="11" rowspan="1" id="radarchartSvgPlaceholder">
          <mat-form-field class="radar-cluster-input" appearance="fill">
            <mat-label>Number of clusters:</mat-label>
            <input matInput
                   type="number"
                   min="1"
                   class="radar-input-field"
                   (change)="clusterChange($event)"
                   [value]="numOfClusters.toString()">
          </mat-form-field>

          <kypo-clustering-visualization
            [selectedComponent]="2"
            [selectedFeature]="2"
            [trainingDefinitionId]="trainingDefinitionId"
            [trainingInstanceIds]="trainingInstanceIds"
            [numOfClusters]="numOfClusters"
            [level]="level"
            (viewOpen)="toggleView($event)"
            (chartIsHidden)="hideChart($event)">
          </kypo-clustering-visualization>
        </mat-grid-tile>
      </mat-grid-list>
    </mat-card-content>
  </mat-card>

</div>
